%% DAYTON

close all; clear

%%

% choose between openl software and opengl hardware
% on my system, hardware has a funny semi-transparency effect

opengl software

%% construct the platform

% Set the limits and select a view
d = 40;
ax = axes('XLim',[-d d],'YLim',[-d d],'ZLim',[-1 20]);
view(3); grid on; axis equal

% Set the renderer to ZBuffer or OpenGL
set(gcf,'Renderer','opengl');
% set(gcf,'Renderer','zbuffer');

ht = baseboard(20,10);


% Create group object and parent surfaces
t1 = hgtransform('Parent',ax);
set(ht,'Parent',t1);
% Rz = makehgtform('zrotate',-pi/2);
% set(t1,'Matrix',Rz);

xlabel('x axis'); ylabel('y axis'); zlabel(' z axis');
set(gcf,'Position',[100 100 800 640]);

%% N

hd = letter_N();
t2 = hgtransform('Parent',ax);
set(hd,'Parent',t2);
% Ry = makehgtform('xrotate',pi/2);
% Rz = makehgtform('zrotate',-20*pi/180);
Txy = makehgtform('Translate',[15 0 0]);
set(t2,'Matrix',Txy);
drawnow

%% Y

he = letter_Y();
t3 = hgtransform('Parent',ax);
set(he,'Parent',t3);
% Ry = makehgtform('xrotate',pi/2);
% Rz = makehgtform('zrotate',-20*pi/180);
Txy = makehgtform('Translate',[-3 0 0]);
set(t3,'Matrix',Txy);
drawnow

%% T

hf = letter_T();
t4 = hgtransform('Parent',ax);
set(hf,'Parent',t4);
% Ry = makehgtform('xrotate',pi/2);
% Rz = makehgtform('zrotate',-20*pi/180);
Txy = makehgtform('Translate',[3 0 0]);
set(t4,'Matrix',Txy);
drawnow